---
title: Document.applets
slug: Web/API/Document/applets
tags:
  - API
  - Deprecated
  - Document
  - HTML DOM
  - NeedsMarkupWork
  - Property
  - Reference
---
<div>{{APIRef("DOM")}} {{deprecated_header()}}</div>

<p>The <strong><code>applets</code></strong> property of the {{domxref("Document")}} interface returns a list of the applets within a document.</p>

<div class="note">
<p><strong>Note</strong>: The {{htmlelement("applet")}} element was removed in <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=1279218">Gecko 56</a> and <a href="https://bugs.chromium.org/p/chromium/issues/detail?id=470301">Chrome in late 2015</a>. Since then, calling <code>document.applets</code> in those browsers always returns an empty {{domxref("HTMLCollection")}}. Removal is being considered in <a href="https://bugs.webkit.org/show_bug.cgi?id=157926">WebKit</a> and <a href="https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/11946645/">Edge</a>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>nodeList</em> = <em>document</em>.applets;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("HTMLCollection")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// When you know the second applet is the one you want
my_java_app = document.applets[1];
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-document-applets', 'Document.applets')}}</td>
   <td>{{ Spec2('HTML WHATWG') }}</td>
   <td>Obsoleted.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-85113862', 'Document.applets')}}</td>
   <td>{{ Spec2('DOM2 Events') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.applets")}}</p>
